[arch-commits] Commit in libxxf86dga/trunk (PKGBUILD)

Eric Bélanger eric at archlinux.org
Tue Apr 14 21:43:35 EDT 2009


    Date: Tuesday, April 14, 2009 @ 21:43:34
  Author: eric
Revision: 35657

upgpkg: libxxf86dga 1.0.2-2
    Added license

Modified:
  libxxf86dga/trunk/PKGBUILD

----------+
 PKGBUILD |   11 ++++++-----
 1 file changed, 6 insertions(+), 5 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-04-15 01:41:54 UTC (rev 35656)
+++ PKGBUILD	2009-04-15 01:43:34 UTC (rev 35657)
@@ -3,21 +3,22 @@
 # Contributor: Jan de Groot <jgc at archlinux.org>
 pkgname=libxxf86dga
 pkgver=1.0.2
-pkgrel=1
+pkgrel=2
 pkgdesc="X11 Direct Graphics Access extension library"
 arch=(i686 x86_64)
 url="http://xorg.freedesktop.org/"
+license=('custom')
 depends=('libxext' 'xf86dgaproto>=2.0.3')
 makedepends=('pkgconfig')
 options=('!libtool')
 source=(${url}/releases/individual/lib/libXxf86dga-${pkgver}.tar.bz2)
+md5sums=('6f5f621804ee652b6cc6f2025c517c78')
 
 build() {
-  cd ${startdir}/src/libXxf86dga-${pkgver}
+  cd ${srcdir}/libXxf86dga-${pkgver}
   ./configure --prefix=/usr \
               --build=${CHOST} --host=${CHOST}
   make || return 1
-  make DESTDIR=${startdir}/pkg install || return 1
+  make DESTDIR=${pkgdir} install || return 1
+  install -D -m644 COPYING ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE
 }
-
-md5sums=('6f5f621804ee652b6cc6f2025c517c78')



More information about the arch-commits mailing list